### GET /attachment/{attachmentId} Source: https://csp-api.campaignregistry.com/v2/openapi.json Downloads any file that is attached to an existing campaign, including MMS sample media files and supporting documents. To download, first determine the file’s uuid value from the appropriate GET endpoint and pass it in the attachmentId parameter. For example, to download a specific MMS sample media file, first use the GET /campaign/{campaignId}/mms endpoint to list the campaign’s attached files and see their uuid attributes. ```markdown ### Parameters - **attachmentId** (string, path, required): The unique ID of the attached file. ### Responses #### 200 - Success Empty response body #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/attachment/{attachmentId}" ``` ``` -------------------------------- ### GET /version Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns the currently running version of the API. ```markdown ### Responses #### 200 - Success #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. ### Example Usage ```bash curl -X GET "/v2/version" ``` ``` -------------------------------- ### GET /tag Source: https://csp-api.campaignregistry.com/v2/openapi.json Gets a list of tags created under the current CSP account. Returns a paginated list of tags that match the supplied filter criteria. Not specifying any parameters will return all tags. ```markdown ### Parameters - **name** (string, query, optional): The tag name. - **recordId** (string, query, optional): The record ID. For brands, this is the brandId. For campaigns, it is the campaignId. - **recordType** (string (BRAND|CAMPAIGN), query, optional): The record type associated with the tag. - **page** (integer (int32), query, optional): The requested page of the result. - **recordsPerPage** (integer (int32), query, optional): The number of records to return per page in the result. Max size is 500 ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/tag?name=string&recordId=string&recordType=BRAND&page=1&recordsPerPage=10" ``` ``` -------------------------------- ### GET /enum/extVettingAppealCategory Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all appeal categories for external vets (e.g., standard, RCS and authplus). ```markdown ### Parameters - **evpId** (string, query, optional): The external vetting partner ID. ### Responses #### 200 - Success - Array of string #### 400 - Request failed. Refer to the included TCR error code and message for more information. Request failed. Refer to the included TCR error code and message for more information. #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/enum/extVettingAppealCategory?evpId=string" ``` ``` -------------------------------- ### GET /webhook/subscription Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all registered webhook subscriptions. ```markdown ### Responses #### 200 - Success - Array of string #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/webhook/subscription" ``` ``` -------------------------------- ### GET /webhook/eventType Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all possible event types, including a short description and the category associated with the event. ```markdown ### Responses #### 200 - Success - Array of object #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/webhook/eventType" ``` ``` -------------------------------- ### GET /webhook/subscription/eventType/{eventType}/mock Source: https://csp-api.campaignregistry.com/v2/openapi.json Send a mock webhook event to a webhook subscriber endpoint. To get started, you must first subscribe to events from an event category using /webhook/subscription PUT operation. Make sure your network policy allows HTTP POST to be accepted from TCR. ```markdown ### Parameters - **eventType** (string, path, required) ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/webhook/subscription/eventType/{eventType}/mock" ``` ``` -------------------------------- ### Schema: ExtVettingProvider Source: https://csp-api.campaignregistry.com/v2/openapi.json Schema definition for ExtVettingProvider ```markdown ## Schema: ExtVettingProvider Schema definition for ExtVettingProvider **Type:** object - **evpId** (string) - **displayName** (string) - **tcrBillable** (boolean) - **vettingClasses** (array (string)) - **vettingInstruction** (string) ``` -------------------------------- ### Schema: ExplanationParam Source: https://csp-api.campaignregistry.com/v2/openapi.json Schema definition for ExplanationParam ```markdown ## Schema: ExplanationParam Schema definition for ExplanationParam **Type:** object - **explanation** (string) ``` -------------------------------- ### GET /enum/brandAppealCategory Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all possible brand appeal categories. Specified as part of the brand appeal process, which is performed if the brand gets an UNVERIFIED identity status or is missing an optional attribute associated with their entity type. For example, a brand could perform a brand appeal if it registered as a GOVERNMENT entity but is missing the Government Entity flag in their brand details. A brand appeal resubmits the brand for identity verification and should include additional documentation that validates their claimed entity status. ```markdown ### Responses #### 200 - Success - Array of string #### 400 - Request failed. Refer to the included TCR error code and message for more information. Request failed. Refer to the included TCR error code and message for more information. #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/enum/brandAppealCategory" ``` ``` -------------------------------- ### DELETE /attachment/{attachmentId} Source: https://csp-api.campaignregistry.com/v2/openapi.json Deletes any file that is attached to an existing campaign, including MMS sample media files and supporting documents. To delete a file, first find its uuid value from the appropriate GET endpoint and pass it in the attachmentId parameter. For example, to delete a specific MMS sample media file, first use the GET /campaign/{campaignId}/mms endpoint to list the campaign’s attached files and see their uuid attributes. ```markdown ### Parameters - **attachmentId** (string, path, required): The unique ID of the attached file. ### Responses #### 204 - Success Empty response body #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X DELETE "/v2/attachment/{attachmentId}" ``` ``` -------------------------------- ### GET /enum/extVettingProvider Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all external vetting partners that participate in the TCR ecosystem. Results include the vetting partner’s name and the types of brand vetting it provides. In some scenarios, submitting a brand for external vetting will provide access to more use cases or possibly better throughput terms with some MNOs. ```markdown ### Responses #### 200 - Success - Array of string #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/enum/extVettingProvider" ``` ``` -------------------------------- ### GET /partnerCampaign/{campaignId} Source: https://csp-api.campaignregistry.com/v2/openapi.json Get details on a campaign shared with the CSP by a downstream partner. ```markdown ### Parameters - **campaignId** (string, path, required): The unique ID that identifies the campaign. - **cnpMigration** (boolean, query, optional): Indicates whether the campaign is in the process of CNP migration. ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError_CSP #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/partnerCampaign/{campaignId}?cnpMigration=false" ``` ``` -------------------------------- ### GET /settings/cnpMigration Source: https://csp-api.campaignregistry.com/v2/openapi.json CNP migration allows CSPs and CNPs to switch connectivity partners for a large number of campaigns with minimal service disruption. This endpoint returns information on the current account’s CNP migration settings. The following properties are currently available: For more information, read the CNP Migration Tool documentation. ```markdown ### Responses #### 200 - Success **CnpMigrationSettings** - **migrationSupported** (boolean) - **migrationAutoComplete** (boolean) #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/settings/cnpMigration" ``` ``` -------------------------------- ### GET /brand/{brandId} Source: https://csp-api.campaignregistry.com/v2/openapi.json Get an existing brand record from TCR by specifying the brand’s unique identifier. ```markdown ### Parameters - **brandId** (string, path, required): The unique ID that identifies the brand. ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError_CSP #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/brand/{brandId}" ``` ``` -------------------------------- ### POST /campaign/{campaignId}/supportingDocument Source: https://csp-api.campaignregistry.com/v2/openapi.json Adds an optional supporting document to a campaign. Supporting documents can include an opt-in, call-to-action, terms and conditions document, or privacy policy. Supported file types include: .jpg, .jpeg, .png, .bmp, .tiff, .raw, .pdf, .rtf, .xml, .odt, .docx, .htm, .txt. Refer to the endpoints under the Attachment heading for information on downloading and deleting existing supporting documents. ```markdown ### Parameters - **campaignId** (string, path, required): The unique ID that identifies the campaign. ### Request Body **Content-Type:** multipart/form-data - **file** (string (binary)) (required): Path to the file to upload. ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X POST "/v2/campaign/{campaignId}/supportingDocument" \ -H "Content-Type: application/json" \ -d '{ "file": "string" }' ``` ``` -------------------------------- ### GET /campaign/{campaignId} Source: https://csp-api.campaignregistry.com/v2/openapi.json Get an existing campaign record from TCR by specifying the campaign’s unique identifier. In the response, if the resellerId property of a campaign is set to R000000, this indicates No Reseller. ```markdown ### Parameters - **campaignId** (string, path, required): The unique ID that identifies the campaign. ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError_CSP_EX #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/campaign/{campaignId}" ``` ``` -------------------------------- ### GET /campaign/{campaignId}/migrateCnp Source: https://csp-api.campaignregistry.com/v2/openapi.json Get the most recent information about a campaign’s migration to a new connectivity partner. The response will include information about the migration’s status, whether there was a cancellation, and the campaign migration’s creation and expiration date. ```markdown ### Parameters - **campaignId** (string, path, required): The unique ID that identifies the campaign. ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/campaign/{campaignId}/migrateCnp" ``` ``` -------------------------------- ### GET /enum/rejectionCategory Source: https://csp-api.campaignregistry.com/v2/openapi.json

Returns a list of all rejection categories for use when rejecting a campaign in the CSP and DCA APIs.

Possible categories include: ```markdown ### Responses #### 200 - Success - Array of string (BRAND_INCONSISTENCIES|CALL_TO_ACTION|CAMPAIGN_DESCRIPTION_OR_ATTRIBUTES|DISALLOWED_CONTENT|MANDATORY_MESSAGE_TERMINOLOGY|PRIVACY_POLICY|SAMPLE_MESSAGE|TERMS_AND_CONDITIONS|OTHER) #### 400 - Request failed. Refer to the included TCR error code and message for more information. Request failed. Refer to the included TCR error code and message for more information. #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/enum/rejectionCategory" ``` ``` -------------------------------- ### Schema: ExtVettingAppealCategory Source: https://csp-api.campaignregistry.com/v2/openapi.json Schema definition for ExtVettingAppealCategory ```markdown ## Schema: ExtVettingAppealCategory Schema definition for ExtVettingAppealCategory **Type:** object - **id** (string) - **displayName** (string) - **description** (string) ``` -------------------------------- ### GET /campaignBuilder/brand/{brandId}/usecase/{usecase} Source: https://csp-api.campaignregistry.com/v2/openapi.json Determines if a brand is qualified to run a campaign for a specified use case across participating MNOs. If the brand qualifies to run a campaign on one or more MNOs, the response will return any campaign restrictions (e.g., no embedded links), process requirements (e.g., manual review by the MNO), pricing details (e.g., a surcharge), and any MNO-specific attributes (e.g., message class, which is unique to AT&T). If the brand is not qualified to run the use case on an MNO, the CSP should consider having the brand externally vetted in order to receive access. For example, if access to the political use case is necessary, the CSP can consider requesting a political vet on the brand. The response will contain the following properties:
Property Data Type Description
usecase string The name of the use case.
monthlyFee decimal The registration fee for the campaign, charged monthly. The campaign will auto-renew unless the renewal is canceled or the campaign is deactivated.
quarterlyFee decimal The registration fee for the campaign, charged once every three months. The campaign will auto-renew unless the renewal is canceled or the campaign is deactivated.
annualFee decimal The registration fee for the campaign, charged annually. The campaign will auto-renew unless the renewal is canceled or the campaign is deactivated.
minSubUsecase integer The minimum number of sub-use cases required when registering a campaign under the specified use case.
maxSubUsecase integer The maximum number of sub-use cases allowed when registering a campaign under the desired use case. If the value is 0, then no sub-use case is required.
mnoMetadata array Map of MNO metadata where key is the “networkId” of the MNO and value is the MNO’s metadata.
The MNO metadata property will contain the following attributes:
Property MNO Specific Data Type Description
mno All MNOs string Name of the MNO.
mnoSupport All MNOs boolean If false, the specified use case is not supported by the MNO.
mnoReview All MNOs boolean If true, the submitted campaign is subject to a manual MNO review process. Some MNOs provide campaign review statuses via TCR APIs.
qualify All MNOs boolean If false, the brand does not qualify for the desired use case on the MNO. The CSP should consider getting the brand vetted by one of TCR’s approved external vetting providers.
minMsgSamples All MNOs integer The minimum number of message samples required by the MNO for the desired use case.
reqSubscriberOptin All MNOs boolean If true, the MNO requires the subscriber to opt-into the campaign before the message can be sent. The opt-in mechanism can be a mobile or web opt-in.
reqSubscriberOptout All MNOs boolean If true, the MNO requires a campaign to support an opt-out mechanism through stop keywords such as STOP or QUIT. Upon receiving a STOP message from a subscriber, the campaign must immediately stop sending messages to the subscriber.
reqSubscriberHelp All MNOs boolean If true, the MNO requires the campaign to support an assistance mechanism through help key words such as HELP or INFO.
noEmbeddedLink All MNOs boolean If true, the MNO does not allow a call-to-action link/URL to be embedded in messages sent to the subscriber.
noEmbeddedPhone All MNOs boolean If true, the MNO forbids call-to-action phone numbers to be embedded in messages sent to the subscriber.
msgClass AT&T string Message class assigned to the campaign by AT&T. Please refer to the AT&T 10DLC guide for a complete list of available message classes and definitions.
tpm AT&T integer SMS message TPM (throughput per minute) assigned to the brand for the desired use case.
mmsTpm AT&T integer MMS message TPM (throughput per minute) assigned to the brand for the desired use case.
tpmScope AT&T string TPM restriction scope. Possible values include: CAMPAIGN or PHONE_NUMBER. If the scope is PHONE_NUMBER, then the TPM rate-limiting is imposed separately for each phone number provisioned to the campaign. A CAMPAIGN level scope indicates rate-limiting imposed for the entire campaign.
brandTier T-Mobile string Daily message volume assigned to the campaign based on brand tier or brand qualification. The daily volume restriction applies to brands across all campaigns and CSPs. Please contact your message service provider for updated T-Mobile terms. Possible values: LOW, LOWER_MID, UPPER_MID, TOP
brandDailyCap T-Mobile integer The number of messages allowed per day on the T-Mobile network. If the brandTier attribute is UNCAPPED, then this will be NULL.
```markdown ### Parameters - **brandId** (string, path, required): The unique ID that identifies the brand. - **usecase** (string, path, required): The campaign use case name (e.g., 2FA). ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/campaignBuilder/brand/{brandId}/usecase/{usecase}" ``` ``` -------------------------------- ### GET /reseller/{resellerId} Source: https://csp-api.campaignregistry.com/v2/openapi.json Retrieve a reseller record by a unique ID. ```markdown ### Parameters - **resellerId** (string, path, required): The unique ID that identifies the reseller. ### Responses #### 200 - Success #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/reseller/{resellerId}" ``` ``` -------------------------------- ### GET /enum/nudgeIntent Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all nudge intent types in the TCR system. When performing a nudge on a campaign to an upstream CNP, an intent must be submitted along with the action. Nudge intents include: ```markdown ### Responses #### 200 - Success - Array of string (APPEAL_REJECTION|REVIEW) #### 400 - Request failed. Refer to the included TCR error code and message for more information. Request failed. Refer to the included TCR error code and message for more information. #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/enum/nudgeIntent" ``` ``` -------------------------------- ### PUT /settings/cnpMigration Source: https://csp-api.campaignregistry.com/v2/openapi.json CNP migration allows CSPs and CNPs to switch connectivity partners for a large number of campaigns with minimal service disruption. This endpoint updates the current account’s CNP migration settings. The following properties are currently available: For more information, read the CNP Migration Tool documentation. ```markdown ### Request Body **Content-Type:** application/json - **migrationSupported** (boolean) - **migrationAutoComplete** (boolean) ### Responses #### 200 - Success **CnpMigrationSettings** - **migrationSupported** (boolean) - **migrationAutoComplete** (boolean) #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X PUT "/v2/settings/cnpMigration" \ -H "Content-Type: application/json" \ -d '{ "migrationSupported": "true", "migrationAutoComplete": "true" }' ``` ``` -------------------------------- ### GET /enum/cnp Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all possible upstream connectivity partners for a campaign. ```markdown ### Parameters - **soleProprietorEnabled** (boolean, query, optional) - **cnpMigrationSupported** (boolean, query, optional) ### Responses #### 200 - Successful. #### 401 - Unauthorized access. Check your API credential Unauthorized access. Check your API credential #### 429 - Too Many Requests Too Many Requests ### Example Usage ```bash curl -X GET "/v2/enum/cnp?soleProprietorEnabled=true&cnpMigrationSupported=true" ``` ``` -------------------------------- ### GET /enum/stockExchange Source: https://csp-api.campaignregistry.com/v2/openapi.json Returns a list of all stock exchanges defined in the TCR system. ```markdown ### Responses #### 200 - Success - Array of string (NONE|NASDAQ|NYSE|AMEX|AMX|ASX|B3|BME|BSE|FRA|ICEX|JPX|JSE|KRX|LON|NSE|OMX|SEHK|SSE|STO|SWX|SZSE|TSX|TWSE|VSE) #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. ### Example Usage ```bash curl -X GET "/v2/enum/stockExchange" ``` ``` -------------------------------- ### GET /campaignBuilder/brand/{brandId} Source: https://csp-api.campaignregistry.com/v2/openapi.json Determines if a brand is qualified to run a campaign for all use case types across participating MNOs. If the brand qualifies to run a campaign on one or more MNOs, the response will return any campaign restrictions (e.g., no embedded link s), process requirements (e.g., manual review by the MNO), pricing details (e.g., a surcharge), and any MNO-specific attributes (e.g., message class, which is unique to AT&T). If the brand is not qualified to run a particular use case on an MNO, the CSP should consider having the brand externally vetted in order to receive access. For example, if access to the political use case is necessary, the CSP can consider requesting a political vet on the brand. The response will contain the following properties:
Property Data Type Description
usecase string The name of the use case.
monthlyFee decimal The registration fee for the campaign, charged monthly. The campaign will auto-renew unless the renewal is canceled or the campaign is deactivated.
quarterlyFee decimal The registration fee for the campaign, charged once every three months. The campaign will auto-renew unless the renewal is canceled or the campaign is deactivated.
annualFee decimal The registration fee for the campaign, charged annually. The campaign will auto-renew unless the renewal is canceled or the campaign is deactivated.
minSubUsecase integer The minimum number of sub-use cases required when registering a campaign under the specified use case.
maxSubUsecase integer The maximum number of sub-use cases allowed when registering a campaign under the desired use case. If the value is 0, then no sub-use case is required.
mnoMetadata array Map of MNO metadata where key is the “networkId” of the MNO and value is the MNO’s metadata.
The MNO metadata property will contain the following attributes:
Property MNO Specific Data Type Description
mno All MNOs string Name of the MNO.
mnoSupport All MNOs boolean If false, the specified use case is not supported by the MNO.
mnoReview All MNOs boolean If true, the submitted campaign is subject to a manual MNO review process. Some MNOs provide campaign review statuses via TCR APIs.
qualify All MNOs boolean If false, the brand does not qualify for the desired use case on the MNO. The CSP should consider getting the brand vetted by one of TCR’s approved external vetting providers.
minMsgSamples All MNOs integer The minimum number of message samples required by the MNO for the desired use case.
reqSubscriberOptin All MNOs boolean If true, the MNO requires the subscriber to opt-into the campaign before the message can be sent. The opt-in mechanism can be a mobile or web opt-in.
reqSubscriberOptout All MNOs boolean If true, the MNO requires a campaign to support an opt-out mechanism through stop keywords such as STOP or QUIT. Upon receiving a STOP message from a subscriber, the campaign must immediately stop sending messages to the subscriber.
reqSubscriberHelp All MNOs boolean If true, the MNO requires the campaign to support an assistance mechanism through help key words such as HELP or INFO.
noEmbeddedLink All MNOs boolean If true, the MNO does not allow a call-to-action link/URL to be embedded in messages sent to the subscriber.
noEmbeddedPhone All MNOs boolean If true, the MNO forbids call-to-action phone numbers to be embedded in messages sent to the subscriber.
msgClass AT&T string Message class assigned to the campaign by AT&T. Please refer to the AT&T 10DLC guide for a complete list of available message classes and definitions.
tpm AT&T integer SMS message TPM (throughput per minute) assigned to the brand for the desired use case.
mmsTpm AT&T integer MMS message TPM (throughput per minute) assigned to the brand for the desired use case.
tpmScope AT&T string TPM restriction scope. Possible values include: CAMPAIGN or PHONE_NUMBER. If the scope is PHONE_NUMBER, then the TPM rate-limiting is imposed separately for each phone number provisioned to the campaign. A CAMPAIGN level scope indicates rate-limiting imposed for the entire campaign.
brandTier T-Mobile string Daily message volume assigned to the campaign based on brand tier or brand qualification. The daily volume restriction applies to brands across all campaigns and CSPs. Please contact your message service provider for updated T-Mobile terms. Possible values: LOW, LOWER_MID, UPPER_MID, TOP
brandDailyCap T-Mobile integer The number of messages allowed per day on the T-Mobile network. If the brandTier attribute is UNCAPPED, then this will be NULL.
```markdown ### Parameters - **brandId** (string, path, required): The unique ID that identifies the brand. ### Responses #### 200 - Success - Array of object #### 400 - Request failed. Refer to the included TCR error code and message for more information. - Array of ApiError #### 401 - Unauthorized access. Check your API credentials. Unauthorized access. Check your API credentials. #### 429 - Too many requests. Too many requests. ### Example Usage ```bash curl -X GET "/v2/campaignBuilder/brand/{brandId}" ``` ```